## Package gnu.regexp

Interface Summary
CharIndexed

Class Summary
CharIndexedCharArray
CharIndexedInputStream
CharIndexedString
CharIndexedStringBuffer
CharUnit
IntPair
RE: RE provides the user interface for compiling and matching regular expressions.
REFilterInputStream: Replaces instances of a given RE with replacement text.
REMatch: An instance of this class represents a match completed by a gnu.regexp matching function.
REMatchEnumeration: An REMatchEnumeration enumerates regular expression matches over a given input text.
RESyntax: An RESyntax specifies the way a regular expression will be compiled.
REToken
RETokenAny
RETokenBackRef
RETokenChar
RETokenEnd
RETokenOneOf
RETokenPOSIX
RETokenRange
RETokenRepeated
RETokenStart

Exception Summary
REException: This is the regular expression exception class.